#!/bin/sh

CHAP=10

TARGET=grub

. ./_lfsset.sh

grub-install /dev/sdc

#grub-mkconfig -o /boot/grub/grub.cfg

cat > /boot/grub/grub.cfg << "EOF"
# Begin /boot/grub/grub.cfg
set default=0
set timeout=5

insmod ext2
set root=(hd0,1)

menuentry "GNU/Linux, Linux LINUX_VER-lfs-SVNVER-systemd" {
        linux   /vmlinuz-LINUX_VER-lfs-SVNVER-systemd root=/dev/sda3 ro net.ifnames=0 biosdevname=0
}
EOF

sed -i -e "s/LINUX_VER/$LINUX_VER/g" \
       -e "s/SVNVER/$SYSDVER/g" /boot/grub/grub.cfg
